Page MenuHomePhabricator

decom mira
Closed, ResolvedPublic

Description

Mira has had a failed nic, and as the nic is onboard to the mainboard, it is a failing mainboard. The system is out of warranty, and has been replaced fully by naos in T162900.


This checklist, copied from server lifecycle page (also edited to add some deployment server specific items)

START NON-INTERRUPPTABLE STEPS

END NON-INTERRUPPTABLE STEPS

  • - system disks wiped (by onsite)
  • - system unracked and decommissioned (by onsite), update racktables with result
  • - switch port configration removed from switch once system is unracked.
  • - mgmt dns entries removed.

Details

Related Gerrit Patches:
operations/puppet : productionRemove remnant references to mira.codfw.wmnet
operations/dns : masterdecom mira
operations/puppet : productionRemove mira from tcpircbot config
operations/dns : masterdecom mira production dns entries
operations/puppet : productiondecommission mira

Event Timeline

Dzahn created this task.May 5 2017, 2:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2017, 2:44 PM
RobH renamed this task from decom or reclaim mira to decom mira.May 5 2017, 6:05 PM
RobH claimed this task.
RobH triaged this task as Medium priority.
RobH added a project: hardware-requests.
RobH updated the task description. (Show Details)
RobH moved this task from Backlog to Reclaim (Spares/Decommission) on the hardware-requests board.

Change 353116 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] decommission mira

https://gerrit.wikimedia.org/r/353116

RobH updated the task description. (Show Details)May 10 2017, 5:32 PM
RobH updated the task description. (Show Details)May 10 2017, 5:36 PM

Change 353116 merged by RobH:
[operations/puppet@production] decommission mira

https://gerrit.wikimedia.org/r/353116

RobH updated the task description. (Show Details)May 10 2017, 5:49 PM
RobH updated the task description. (Show Details)

Change 353131 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom mira production dns entries

https://gerrit.wikimedia.org/r/353131

RobH updated the task description. (Show Details)May 10 2017, 5:56 PM
RobH updated the task description. (Show Details)

Change 353131 merged by RobH:
[operations/dns@master] decom mira production dns entries

https://gerrit.wikimedia.org/r/353131

RobH reassigned this task from RobH to Papaul.May 10 2017, 6:01 PM
RobH updated the task description. (Show Details)
RobH added a subscriber: RobH.

@Papaul: Please go ahead and wipe the disks on this system, and then pull it from the rack entirely for decommission, updating racktables and then assigning back to me for the switch port update.

Thanks!

Change 353261 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove mira from tcpircbot config

https://gerrit.wikimedia.org/r/353261

Change 353261 merged by Muehlenhoff:
[operations/puppet@production] Remove mira from tcpircbot config

https://gerrit.wikimedia.org/r/353261

Disk wipe in progress

Papaul reassigned this task from Papaul to RobH.May 16 2017, 3:32 PM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: Papaul.

Disk wipe complete, system unracked, racktables update

Change 354033 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] decom mira

https://gerrit.wikimedia.org/r/354033

Change 354033 merged by RobH:
[operations/dns@master] decom mira

https://gerrit.wikimedia.org/r/354033

RobH removed RobH as the assignee of this task.May 16 2017, 6:27 PM
RobH updated the task description. (Show Details)
RobH moved this task from Backlog to Non-Urgent on the ops-codfw board.Jul 6 2017, 7:05 PM
RobH closed this task as Resolved.Jul 6 2017, 11:40 PM
RobH claimed this task.

Change 415775 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/puppet@production] Remove remnant references to mira.codfw.wmnet

https://gerrit.wikimedia.org/r/415775

Change 415775 merged by Dzahn:
[operations/puppet@production] Remove remnant references to mira.codfw.wmnet

https://gerrit.wikimedia.org/r/415775